GLFW

- Documentation
- Download
- Community

Macros
Standard cursor shapes
Input reference

## Description

See standard cursor creation for how these are used.

## Macros
#define | GLFW_ARROW_CURSOR 0x00036001
| The regular arrow cursor shape. More...
#define | GLFW_IBEAM_CURSOR 0x00036002
| The text input I-beam cursor shape. More...
#define | GLFW_CROSSHAIR_CURSOR 0x00036003
| The crosshair shape. More...
#define | GLFW_HAND_CURSOR 0x00036004
| The hand shape. More...
#define | GLFW_HRESIZE_CURSOR 0x00036005
| The horizontal resize arrow shape. More...
#define | GLFW_VRESIZE_CURSOR 0x00036006
| The vertical resize arrow shape. More...

## Macro Definition Documentation

## ◆ GLFW_ARROW_CURSOR

#define GLFW_ARROW_CURSOR 0x00036001

The regular arrow cursor.

## ◆ GLFW_IBEAM_CURSOR

#define GLFW_IBEAM_CURSOR 0x00036002

The text input I-beam cursor shape.

## ◆ GLFW_CROSSHAIR_CURSOR

#define GLFW_CROSSHAIR_CURSOR 0x00036003

The crosshair shape.

## ◆ GLFW_HAND_CURSOR

#define GLFW_HAND_CURSOR 0x00036004

The hand shape.

## ◆ GLFW_HRESIZE_CURSOR

#define GLFW_HRESIZE_CURSOR 0x00036005

The horizontal resize arrow shape.

## ◆ GLFW_VRESIZE_CURSOR

#define GLFW_VRESIZE_CURSOR 0x00036006

The vertical resize arrow shape.